newModel {arf3DS4} | R Documentation

## Create a new ARF model

### Description

newModel creates a new model of with a given number of regions in the spatial model within a subject/condition, using the options specified. It also creates a new directory in the model directory of the condition.

### Usage

    newModel(modelname = "defaultmodel", regions = 1, subject = "",
     condition = "", type = c("gauss", "simple"), options = new("options"),
     overwrite = T, experiment = NULL)

### Arguments

`modelname` | Name of the model.
`regions` | Number of regions in the spatial model.
`subject` | Name of the subject.
`condition` | Name of the condition.
`type` | Type of model to fit (full Gaussian (`'gauss'`), simple Gaussian (`'simple'`).
`options` | Options object (`options`).
`overwrite` | Overwrite the model if a model with the same name alreay exists?
`experiment` | Experiment object (as default uses `.experiment`).

### Details

Calls to newModel save an instance of a file named model.Rda in the appropriate directory and return the model object.

### Value

Returns an object of class "model" with the appropriate slots.

### Author(s)

Wouter D. Weeda - w.d.weeda@gmail.com

### See Also

`model`, `options`, `experiment`

[Package arf3DS4 version 2.5-10 Index]